Results 1 to 10 of 10
Discuss 3G 4.1 to 4.2.1 retain unlock? at the Ultrasn0w (3G(S)/iPhone 4 unlock) - Hackint0sh.org; I've got a 3G with BB: 5.13.04 BL: 5.8 Right now it's unlocked on FW ...
  1. #1
    Professional Array iphoneme's Avatar

    Join Date
    Jul 2007
    Posts
    51
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    9

    Default 3G 4.1 to 4.2.1 retain unlock?

    I've got a 3G with
    BB: 5.13.04
    BL: 5.8
    Right now it's unlocked on FW 4.1

    My questions are:

    1. Will a FW upgrade to 4.2.1 change my Bootloader?
    2. Also, would I be able to downgrade the Baseband back to 5.13.04 (using Fuzzyband) once I upgrade FW to 4.2.1?

    Thanks!
    Last edited by iphoneme; 11-25-2010 at 05:49 AM.



  2. #2
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by iphoneme View Post
    BB: 5.13.04
    BL: 5.8
    Right now it's unlocked on FW 4.1

    My questions are:

    1. Will a FW upgrade to 4.2.1 change my Bootloader?
    2. Also, would I be able to downgrade the Baseband back to 5.13.04 (using Fuzzyband) once I upgrade FW to 4.2.1?
    1. In theory, yes a FW update can include a baseband bootloader upgrade, in reality Apple hasn't done this since the 1.0.x days as the risk of bricking iPhones is too high
    2. The 5.8 baseband bootloader exploit allows this, however you need to ensure that fuzzyband has been updated to support downgrading to 5.13.04
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  3. #3
    Professional Array iphoneme's Avatar

    Join Date
    Jul 2007
    Posts
    51
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    9

    Default

    Quote Originally Posted by Olethros View Post
    1. In theory, yes a FW update can include a baseband bootloader upgrade, in reality Apple hasn't done this since the 1.0.x days as the risk of bricking iPhones is too high
    2. The 5.8 baseband bootloader exploit allows this, however you need to ensure that fuzzyband has been updated to support downgrading to 5.13.04
    Currently Fuzzyband does 5.14 to 5.13 but I'm not sure if FW 4.2.1 has a higher baseband.
    (2) iPhone 3GS 16GB
    (1) iPhone 3G 8GB

  4. #4
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by iphoneme View Post
    Currently Fuzzyband does 5.14 to 5.13 but I'm not sure if FW 4.2.1 has a higher baseband.
    FW 4.2.1 includes 5.15.04 baseband, if fuzzyband can downgrade from 5.14 to 5.13 it will also probably work to downgrade from 5.15 to 5.13
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  5. #5
    Professional Array iphoneme's Avatar

    Join Date
    Jul 2007
    Posts
    51
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    9

    Default

    If it does work, that would be fantastic. I wonder if anyone out there has tried it.
    (2) iPhone 3GS 16GB
    (1) iPhone 3G 8GB


  6. #6
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by iphoneme View Post
    If it does work, that would be fantastic. I wonder if anyone out there has tried it.
    Very very few 3G owners have baseband bootloader 5.8 which is a pre-requisite to use fuzzyband
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  7. #7
    Newbie Array

    Join Date
    Nov 2010
    Posts
    2
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Fuzzyband has not been updated yet with the CERTs for 5.15.04, however this guy got the cert and explains how you can downgrade the 4.2.1 baseband using the existing Fuzzyband 4.1:
    http://www.sinfuliphone.com/showthread.php?t=50441 (Baseband 5.15.04 cert for fuzzyband. READ BEFORE YOU UPGRADE TO iOS4.2.x!)

    I was able to use those instructions to seamingly downgrade my baseband to 5.13.04 which can be unlocked with Ultrasn0w, however there is concern that there is a baseband check in the 4.2.1 OS that will catch this and disable it anyways. (I haven't been able to test as I only use that phoen when traveling).

    Worst case scenario, it seems that if it doesn't work you can at least downgrade back to 5.13.04 and restore to 4.1.

    Also, the same user over on those forums is currently trying to get the 6.15.00 CERTs to be able to downgrade from that as well, so once that is done you should be good to come down from any current baseband as needed

    (Note that all of this is ONLY relevant for 3G with 5.08 Baseband)

    I am personally going to wait for 6.15.00 downgrade to be possible because it looks promissing and then go that route only once I know I can undo it. Patience it worth the safely (and lucky us with 5.08).

    Hope that is useful.
    Last edited by Olethros; 11-30-2010 at 11:09 PM.

  8. #8
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    @Gamma1984 - while this contribution is valuable and respected we don't like links to sites that promote piracy. SinfuliPhone is such a site.

    It is ILLEGAL to redistribute the baseband files outside of the original apple IPSW.

    What the other poster should have done is to either write a post explaining how to extract baseband files from a given IPSW or write a script that uses xpwn to extract the baseband files. It is 100% legal to redistribute a script and the xpwn binaries (which are GPL licensed).

    See http://www.hackint0sh.org/f203/90394.htm#post455536 and http://www.hackint0sh.org/f203/90394...htm#post500077 for some hints on how to extract baseband manually (you just need to adapt this with the correct decryption keys from theiphonewiki - and maybe a newer compile of xpwn)
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  9. #9
    Newbie Array

    Join Date
    Nov 2010
    Posts
    2
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    My apology, I certainly didn't mean to go against the spirit of the forum or promote methods that cross a line (I'm still very new and naive at all this despite having an old iPhone).

    Also, I really appreciate your additional links because that was what _I_ was actually trying to figure out _myself_ when I navigated here and found this question.

    Sorry for the trouble and thanks for the heads up.

  10. #10
    Professional Array iphoneme's Avatar

    Join Date
    Jul 2007
    Posts
    51
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    9

    Default

    Thanks very much to the both of you for the quality info.
    After reading through, I think I'll wait on 4.2.1 update for now.
    (2) iPhone 3GS 16GB
    (1) iPhone 3G 8GB


 

 

Similar Threads

  1. Restore 4.1 and retain baseband (01.59.00)
    By Toaster in forum iPhone 4
    Replies: 1
    Last Post: 10-20-2010, 07:23 PM
  2. OK, come on now, CLEAR answer please. 2.2 to 3.0 & retain baseband
    By myntk12 in forum Yellowsn0w (3G unlock)
    Replies: 3
    Last Post: 08-31-2009, 12:45 PM
  3. Retain AppleTV Sync after Re-Install of OS 10.4.11?
    By ruso in forum Genuine Mac Support
    Replies: 0
    Last Post: 06-09-2009, 11:47 PM
  4. retain contacts after upgrade from 1.0.2 to 1.1.2 or 1.1.1
    By swisseuro in forum iPhone "2G" (Rev. 1)
    Replies: 0
    Last Post: 02-06-2008, 10:36 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 03:01 PM.
twitter, follow us!